OS := $(shell uname -s)

# slock version
VERSION = 1.5

# paths
ifeq ($(OS),FreeBSD)
PREFIX = /usr/local
MANPREFIX = ${PREFIX}/share/man
else ifeq ($(OS),OpenBSD)
PREFIX = /usr/local
MANPREFIX = $(PREFIX)/man
else
PREFIX = /usr
MANPREFIX = ${PREFIX}/share/man
endif

X11INC = /usr/X11R6/include
X11LIB = /usr/X11R6/lib

# includes and libs
INCS = -I. -I${PREFIX}/include -I${X11INC}
ifeq ($(OS),OpenBSD)
LIBS = -L${PREFIX}/lib -lc -L${X11LIB} -lX11 -lXext -lXrandr -lImlib2
else
LIBS = -L${PREFIX}/lib -lc -lcrypt -L${X11LIB} -lX11 -lXext -lXrandr -lImlib2
endif

# flags
CPPFLAGS = -DVERSION=\"${VERSION}\" -D_DEFAULT_SOURCE -DHAVE_SHADOW_H
CFLAGS = -std=c99 -pedantic -Wall -Os ${INCS} ${CPPFLAGS}
LDFLAGS = -s ${LIBS}
ifeq ($(OS),OpenBSD)
COMPATSRC =
else
COMPATSRC = explicit_bzero.c
endif
